Yocto Sumo NXP : vkmark_1.0.bb:do_configure error

cancel
Showing results for 
Search instead for 
Did you mean: 

Yocto Sumo NXP : vkmark_1.0.bb:do_configure error

823 Views
Contributor II

Hi,

We are building a yocto rootfs for iMX8M with wayland desktop environment. We are using the below repo link for downloading sources.

https://source.codeaurora.org/external/imx/imx-manifest -b imx-linux-sumo -m imx-4.14.78-1.0.0_ga.xml

We could able to build "core-image-minimal" successfully.But when we try to build "fsl-image-qt5-validation-imx", we are getting vkmark do_configure issue. Also log shows that meson version (0.44.1) is below the required version (>=0.45).

Log data follows:
| DEBUG: Executing shell function do_configure
| The Meson build system
| Version: 0.44.1
| Source dir: /data/iMX8m/build-imx8m/tmp/work/aarch64-poky-linux/vkmark/1.0-r0/git
| Build dir: /data/iMX8m/build-imx8m/tmp/work/aarch64-poky-linux/vkmark/1.0-r0/build
| Build type: cross build
|
| Meson encountered an error in file meson.build, line 1, column 0:
| Meson version is 0.44.1 but project requires >=0.45.
|
| A full log can be found at /data/iMX8m/build-imx8m/tmp/work/aarch64-poky-linux/vkmark/1.0-r0/build/meson-logs/meson-log.txt
| Build started at 2019-12-06T05:07:12.871010
| Main binary: /data/iMX8m/build-imx8m/tmp/work/aarch64-poky-linux/vkmark/1.0-r0/recipe-sysroot-native/usr/bin/python3-native/python3
| Python system: Linux
| The Meson build system
| Version: 0.44.1
| Source dir: /data/iMX8m/build-imx8m/tmp/work/aarch64-poky-linux/vkmark/1.0-r0/git
| Build dir: /data/iMX8m/build-imx8m/tmp/work/aarch64-poky-linux/vkmark/1.0-r0/build
| Build type: cross build
| ERROR: meson failed
| WARNING: exit code 1 from a shell command.
| ERROR: Function failed: do_configure (log file is located at /data/iMX8m/build-imx8m/tmp/work/aarch64-poky-linux/vkmark/1.0-r0/temp/log.do_configure.92735)
ERROR: Task (/data/iMX8m/sources/meta-fsl-bsp-release/imx/meta-sdk/recipes-graphics/vulkan/vkmark_1.0.bb:do_configure) failed with exit code '1'
NOTE: Tasks Summary: Attempted 2130 tasks of which 2123 didn't need to be rerun and 1 failed.

We did cleansstate for meson, vkmark and fsl-image-qt5-validation-imx and triggered a build again. But still facing the same issue.

Please help us to resolve the issue.

Thanks,

Antony

0 Kudos
1 Reply

69 Views
NXP TechSupport
NXP TechSupport

Hello Antony,

You need meson at least 0.45v to run yocto, uninstall and reinstall meson.

Regards

0 Kudos